// MotionSynth Scene Description  - Copyright 2002 Michael Mandel \\
// This is the default scene loaded when the application starts

//* Level
//	MapFile:	maps\lctimewe.bsp
//END

* Level
	//MapFile:	maps\tutorial.bsp
	//MapFile:	maps\crueltrick.bsp
	MapFile:	maps\jaxdm4_v21.bsp
	//MapFile:	maps\lctimewe.bsp
	//SkyBox:		textures\dunwich_big\dunwich_%s.jpg
	SkyBox:		env\jaxdm4\jaxdm4sky_%s.tga
	Brush:		56
	Brush:		86
	Brush:		62
	Brush:		8
	Brush:		15
	Brush:		67
	Brush:		80
	Brush:		71
	Brush:		5
	Brush:		9
	Brush:		12
	Model:		data\models\zombie.3ds
END

* Shader
	//flame
	Texture:	92
	Blend:		3
END

* Shader
	//flame
	Texture:	100
	Blend:		3
	Animate:	8 1 5 models\mapobjects\flame\flame0%i.jpg
END

* Shader
	//water
	Texture:	104
	Blend:		2
	Scroll:		0 1
END

* MotionData
	MotionName: 	WalkMotionA
	AMCFiles: 		30WalkStraight2.AMC, 30WalkStraight.AMC, 30WalkTurning.AMC, 30TurnInPlace.AMC
	//AMCFiles: 		30WalkStraight2.AMC, 30WalkTurning.AMC	
	BodyWeights: 	3
	FrameRate:		30
END


* MotionData
	MotionName: 	RunMotionA
	AMCFiles: 		30RunStraight.AMC, 30RunStraight.AMC, 30RunToStop.AMC, 30RunWideLeft.AMC, 30RunWideRight.AMC, 30JumpRunning.AMC, 30JumpRunning2.AMC
	BodyWeights: 	3
	FrameRate:		30
END

//* MotionData
	MotionName:	SimpleMovements
	//AMCFiles:	30WalkStraight2.AMC, 30WalkStraight.AMC,30RunStraight2.AMC, 30RunStraight.AMC
	AMCFiles:	30RunStraight-Cut.AMC
	BodyWeights:	3
	FrameRate:	30
END

* MotionData
	MotionName:	SimpleWalk
	AMCFiles:	30WalkStraight.AMC
	BodyWeights:	3
	FrameRate:	30
END

* MotionData
	MotionName:	RunGuy
	AMCFiles:	30RunGuy2.AMC
	BodyWeights:	3
	FrameRate:	30
END


* MotionData
	MotionName: 	AttackMotionA
	AMCFiles: 		30AttackForward.AMC
	BodyWeights: 	4
	FrameRate:		30
END

* MotionData
	MotionName: 	AttackMotionB
	AMCFiles: 		30AttackForward2.AMC
	BodyWeights: 	4
	FrameRate: 		30
END

* MotionData
	MotionName: 	AttackMotionBehind
	AMCFiles: 		30AttackBehind.AMC
	BodyWeights: 	4
	FrameRate: 		30
END


* MotionData
	MotionName: 	IdleMotion
	AMCFiles: 		30Idle.AMC
	BodyWeights: 	3
	FrameRate:		30
END

* MotionData
	MotionName: 	TestAttackMotion
	AMCFiles: 	30AttackForward.AMC, 30AttackForward2.AMC
	BodyWeights: 	4
	FrameRate:		30
END

//defines the properties of a transition graph
* TransitionGraph
	ID:		1
	Motion:	WalkMotionA
	//type of graph to create - see GraphFactory.h for more
	GraphType:  2
	//threshold for a valid transition
	EvalThresh:	.976
	//type of evaluation function - see MotionController.h - using marker positions...	
	EvalType:	3
END


//defines the properties of a transition graph - This is for the idle motion
* TransitionGraph
	ID:		2
	Motion:	IdleMotion
	//type of graph to create - see GraphFactory.h for more
	GraphType:  2
	//threshold for a valid transition
	EvalThresh:	.993
	//EvalThresh: .80
	//type of evaluation function - see MotionController.h - using marker positions...	
	EvalType:	3
END

//defines the properties of a transition graph - This is for the attack motion below
* TransitionGraph
	ID:		3
	Motion:	AttackMotionB
	//type of graph to create - see GraphFactory.h for more
	GraphType:  2
	//threshold for a valid transition
	EvalThresh:	.93
	//EvalThresh: .80
	//type of evaluation function - see MotionController.h - using marker positions...	
	EvalType:	3
END

//defines the properties of a transition graph
* TransitionGraph
	ID:		4
	Motion:	RunMotionA
	//type of graph to create - see GraphFactory.h for more
	GraphType:  2
	//threshold for a valid transition
	EvalThresh:	.98
	//type of evaluation function - see MotionController.h - using marker positions...	
	EvalType:	3
END

//movement graph for the walking motion...
* TransitionGraph
	ID:		5
	Motion:	WalkMotionA
	//type of graph to create - picking movement graph...
	GraphType:  5
	//threshold for a valid transition
	EvalThresh:	.976
	//type of evaluation function - see MotionController.h - using marker positions...	
	EvalType:	3
END

//movement graph for the walking motion...
* TransitionGraph
	ID:		6
	Motion:	WalkMotionA
	//type of graph to create - picking movement graph...
	GraphType:  2
	//threshold for a valid transition
	EvalThresh:	.976
	//type of evaluation function - see MotionController.h - using marker positions...	
	EvalType:	3
END


//movement graph for the simple reduced movement data set
//* TransitionGraph
	ID:		7
	Motion:	SimpleMovements
	//type of graph to create - picking movement graph...
	GraphType:  2
	//threshold for a valid transition
	//EvalThresh:	.95
	//EvalThresh:	.65
	EvalThresh:	.75
	//type of evaluation function - see MotionController.h - using marker positions...	
	EvalType:	3
	TransitionTime:	.10
END

//movement graph for the simple reduced movement data set
* TransitionGraph
	ID:		8
	Motion:	SimpleWalk
	//type of graph to create - picking movement graph...
	GraphType:  2
	//threshold for a valid transition
	EvalThresh:	.995
	//type of evaluation function - see MotionController.h - using marker positions...	
	EvalType:	3
END

//movement graph for the simple reduced movement data set
* TransitionGraph
	ID:		9
	Motion:	RunGuy
	//type of graph to create - picking movement graph...
	GraphType:  2
	//threshold for a valid transition
	EvalThresh:	.91
	//type of evaluation function - see MotionController.h - using marker positions...	
	EvalType:	3
	TransitionTime:	.14
END

//creates a dataset defining all the motions necessary for a character to animate
* MotionDataSet
	ID:			1
	AttackMotion: 	TestAttackMotion
	AttackGraphID:	-1
	IdleMotion:	IdleMotion
	IdleGraphID:	2
	//below enables the graph that does full path synthesis
	//MoveMotion:	WalkMotionA
	//MoveGraphID:	5
	//simple synthesis
	//MoveMotion:	SimpleMovements
	//MoveGraphID:	7
	MoveMotion:	SimpleWalk
	MoveGraphID:	8
	ExtraMotion:	RunGuy
	ExtraGraphID:	9
END

//this is the dataset for the zombie like blind creatures!!
* MotionDataSet
	ID:			2
	AttackMotion: 	TestAttackMotion
	AttackGraphID:	-1
	IdleMotion:	IdleMotion
	IdleGraphID:	2
	MoveMotion:	WalkMotionA
	MoveGraphID:	1
END

//this is the dataset for the boss character
* MotionDataSet
	ID:			3
	AttackMotion: 	AttackMotionBehind
	AttackGraphID:	-1
	IdleMotion:	IdleMotion
	IdleGraphID:	2
	MoveMotion:	SimpleWalk
	MoveGraphID:	8
END

//Entities used in cinematics (these do not render)
* Entity
	Name:		camera
	Position:	-623.127 869.12 699.20
	Rotation:	-.2196 .2828 -.0667 .9313
END

//Entities used in cinematics (these do not render)
* Entity
	Name:		statue
	Position:	-734.35 112.06 261.83
	Rotation:	-.081 .146 .012 -.9858
END

//Entities used in cinematics (these do not render)
* Entity
	Name:		fountain
	Position:	-120.93 171.017 -805.65
	Rotation:	-.155 -.604 -.122 -.772
END

//PLAYER1: this adds a character who is joystick controllable
* Character
	CharacterName:		player1
	//Position:			240 100 -1240
	//Position:			425 -3309 54.4
	Position:		8.22 97.864 -19.91
	//changed 160, 100, -1240, was 2 0 0
	GameplayController:	0
	DatasetID:		1
	HitPoints:		100
END

//Enemy: this adds an AI character that walks around blindly!!
* Character
	CharacterName:		enemy
	//Position:			280 100 -1320
	//Position:		-87.91 -3302.53 -351.49
	Position:		877.82 64.0 540.13
	GameplayController:	2
	DatasetID:		2
	HitPoints:		2
	Model:			0
END

//Enemy: this adds an AI character that walks around blindly!!
* Character
	CharacterName:		enemy
	Position:		1160.39 55.39 -519.54
	GameplayController:	2
	DatasetID:		2
	HitPoints:		2
	Model:			0
END

//Enemy: this adds an AI character that walks around blindly!!
* Character
	CharacterName:		enemy
	Position:		-571.35 47.75 -707.94
	GameplayController:	2
	DatasetID:		2
	HitPoints:		2
	Model:			0
END

//Enemy: this adds an AI character that walks around blindly!!
* Character
	CharacterName:		enemy
	Position:		-948.10 74.44 471.21
	GameplayController:	2
	DatasetID:		2
	HitPoints:		2
	Model:			0
END

//Enemy: this adds an AI character that walks around blindly!!
* Character
	CharacterName:		enemy
	Position:		558.04 53.34 566.32
	GameplayController:	2
	DatasetID:		2
	HitPoints:		2
	Model:			0
END

//Enemy: this adds an AI character that walks around blindly!!
* Character
	CharacterName:		enemy
	Position:		-577.27 47.67 1072
	GameplayController:	2
	DatasetID:		2
	HitPoints:		2
	Model:			0
END

//this character simply plays back an animation
* Character
	CharacterName:		boss
	//Position:			240 100 -1240	
	//Position:			480.20 -3544.5 -475
	Position:		8.22 97.864 -19.91
	GameplayController:	1
	DatasetID:		3
	//DefaultRootMotion:	SimpleWalk
	//RootGraphID:		8
	//DefaultRootMotion:	AttackMotionBehind
	//RootGraphID:		3
	HitPoints:		15
	ZoneRect:		-203.42 316.01 201.76 -317.68
END

//test character plays back an animation
//* Character
//	CharacterName:		testplayer
//	Position:		-658.45 -182.75 124.62
//	DefaultRootMotion:	TestAttackMotion
//END

//test character plays back an animation
//* Character
//	CharacterName:		testplayer
//	Position:		473 86 -344
//	DefaultRootMotion:	IdleMotion
//	RootGraphID:		2
//	DefaultBlendMotion:	TestAttackMotion
//END

//test character plays back an animation
//* Character
//	CharacterName:		testplayer1
//	Position:		-128.68 90.54 -79.14
//	DefaultRootMotion:	RunGuy
//	RootGraphID:		9
//END


//this character plays back a blend
//* Character
//	CharacterName:		player4
//	Position:			280 100 -1320
//	DefaultRootMotion:	WalkMotionA
//	RootGraphID:		1
//	DefaultBlendMotion:	AttackMotionB
//END

//this character walks around using a transition graph
//see the TransitionGraph definition for more details...
//* Character
//	CharacterName:		player2
//	Position:			120 100 -1200
//	RootGraphID:		1
//	//DefaultRootMotion:	WalkMotionA
//	Enabled:			1
//END